# List

Launch stage: GA

`GET /api/disaster-recovery/v1/{parent=accounts/*}/stable-urls`

List stable URLs for an account.

API scopes: disaster-recovery

Clouds: AWS, Azure

## Path parameters

- `parent` (string, optional)
  The parent resource. Format: accounts/{account_id}.

## Query parameters

- `page_size` (int32, optional)
  Maximum number of stable URLs to return per page:
   - when set to a value greater than 0, the page length is the minimum of this value
     and a server configured value;
   - when set to 0 or unset, the page length is set to a server configured value
     (recommended);
   - when set to a value less than 0, an invalid parameter error is returned.
- `page_token` (string, optional)
  Page token received from a previous ListStableUrls call.
   Provide this to retrieve the subsequent page.

## Returns

Returns a list of StableUrl objects.

## Response

```json
{
  "stable_urls": [
    {
      "name": "string",
      "url": "string",
      "initial_workspace_id": "string",
      "failover_group_name": "string",
      "effective_workspace_id": "string",
      "stable_workspace_id": "string"
    }
  ],
  "next_page_token": "string"
}
```

